Milter.dns Namespace Reference

Provide a higher level interface to pydns. More...

## Classes

class | Session

## Functions

def | DNSLookup (name, qtype)
| Lookup DNS records by label and RR type. More...

## Variables

int | MAX_CNAME = 10
tuple | s = Session()

## Detailed Description

Provide a higher level interface to pydns.

## Function Documentation

def Milter.dns.DNSLookup | ( |  | name,
|  |  | qtype
| ) |  |

Lookup DNS records by label and RR type.

The response can include records of other types that the DNS server thinks we might need.

Parameters

  name | the DNS label to lookup
  qtype | the name of the DNS RR type to lookup

Returns
  a list of ((name,type),data) tuples

Referenced by Milter.dns.Session.dns().